Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.MemberDeclarationContext

- org.apache.groovy.parser.antlr4.GroovyParser.MemberDeclarationContext

-     public static class GroovyParser.MemberDeclarationContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `t` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MemberDeclarationContext(ParserRuleContext parent, int invokingState)`
    `MemberDeclarationContext(ParserRuleContext parent, int invokingState, int t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public GroovyParser.ClassDeclarationContext` | `classDeclaration()`
    `` | `public GroovyParser.CompactConstructorDeclarationContext` | `compactConstructorDeclaration()`
    `` | `public GroovyParser.FieldDeclarationContext` | `fieldDeclaration()`
    `` | `public int` | `getRuleIndex()`
    `` | `public GroovyParser.MethodDeclarationContext` | `methodDeclaration()`
    `` | `public GroovyParser.ModifiersOptContext` | `modifiersOpt()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Field Detail

    - #### public int t

  - ### Constructor Detail

    - #### public MemberDeclarationContext(ParserRuleContext parent, int invokingState)

    - #### public MemberDeclarationContext(ParserRuleContext parent, int invokingState, int t)

  - ### Method Detail

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public GroovyParser.ClassDeclarationContext classDeclaration()

    - #### public GroovyParser.CompactConstructorDeclarationContext compactConstructorDeclaration()

    - #### public GroovyParser.FieldDeclarationContext fieldDeclaration()

    - #### @Override
      public int getRuleIndex()

    - #### public GroovyParser.MethodDeclarationContext methodDeclaration()

    - #### public GroovyParser.ModifiersOptContext modifiersOpt()